<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<main>
		<section>
			<h2>HTML Entities</h2>
			<table border=1>
				<thead>
					<tr>
						<!-- occupy more columns by using colspan -->
						<th>Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>></td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>""</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>''</td>
						<td>single quotation mark</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan=2>List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<section>
			<h2>HTML Forms</h2>
			<p>Input elements that make up a form.</p>

			<!-- Form tags have an action attribute which directs the form data to a specific URL. -->
			<form action="https://google.com">
				<!-- When paring label and input tags, make sure that the value of the "for" attribute is the same as the value of the "name" attribute of the input tag.-->
				<label for="full-name">Full Name: </label>
				<input type="text" name="full-name" id="full-name" required autocomplete>
				<!-- the 'required' attribute requires the input field to be filled out before action could work-->
				<!-- autocomplete attribute show suggestions of previously entered input -->
				<br><br>

				<label for="birth-date">Birth Date: </label>
				<input type="date" name="birth-date" id="birth-date" required>
				<br><br>

				<label for="age">Age: </label>
				<input type="number" name="age" id="age" required>
				<br><br>

				<label for="sex">Sex: </label>
				<select name="sex" id="sex" required>
					<option value=""></option>
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select>
				<br><br>

				<label>New User:</label>

				<input type="radio" name="new user" id="user-type-1" value="yes">
				<label for=user-type-1>Yes</label>

				<input type="radio" name="new user" id="user-type-2" value="no">
				<label for=user-type-2>No</label>
				<br><br>

				<label>Role:</label>
				<br>
				<input type="checkbox" name="role-1" id="role-1" value="developer">
				<label for=role-1>Developer</label>
				<br>
				<input type="checkbox" name="role-2" id="role-2" value="student">
				<label for=role-2>Student</label>
				<br>
				<input type="checkbox" name="role-3" id="role-3" value="manager">
				<label for=role-3>Manager</label>
				<br><br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
		
	</main>
</body>
</html>